com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface PRule

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleModelElement

      public interface PRule
      extends RuleModelElement

  A representation of the model object 'PRule'.

  The following features are supported:

  - `Disabled`
  - `Use Conditions As Thresholds`
  - `Ruleset`
  - `Conditions`
  - `Overrides`
  - `Overridden By`
  - `Actions`
  See Also:
    `RulesheetPackage.getPRule()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getActions()` Returns the value of the 'Actions' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getConditions()` Returns the value of the 'Conditions' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getOverriddenBy()` Returns the value of the 'Overridden By' reference list.
    `org.eclipse.emf.common.util.EList` | `getOverrides()` Returns the value of the 'Overrides' reference list.
    `PRuleset` | `getRuleset()` Returns the value of the 'Ruleset' container reference.
    `boolean` | `isDisabled()` Returns the value of the 'Disabled' attribute
    `boolean` | `isUseConditionsAsThresholds()` Returns the value of the 'Use Conditions As Thresholds' attribute
    `void` | `setDisabled(boolean value)` Sets the value of the '`Disabled`' attribute
    `void` | `setRuleset(PRuleset value)` Sets the value of the '`Ruleset`' container reference
    `void` | `setUseConditionsAsThresholds(boolean value)` Sets the value of the '`Use Conditions As Thresholds`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isDisabled

          boolean isDisabled()

      Returns the value of the 'Disabled' attribute.

      If the meaning of the 'Disabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Disabled' attribute.
      See Also:
        `setDisabled(boolean)`, `RulesheetPackage.getPRule_Disabled()`

    - #### setDisabled

          void setDisabled(boolean value)

      Sets the value of the '`Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'Disabled' attribute.
      See Also:
        `isDisabled()`

    - #### isUseConditionsAsThresholds

          boolean isUseConditionsAsThresholds()

      Returns the value of the 'Use Conditions As Thresholds' attribute.

      If the meaning of the 'Use Conditions As Thresholds' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Use Conditions As Thresholds' attribute.
      See Also:
        `setUseConditionsAsThresholds(boolean)`, `RulesheetPackage.getPRule_UseConditionsAsThresholds()`

    - #### setUseConditionsAsThresholds

          void setUseConditionsAsThresholds(boolean value)

      Sets the value of the '`Use Conditions As Thresholds`' attribute.
      Parameters:
        `value` - the new value of the 'Use Conditions As Thresholds' attribute.
      See Also:
        `isUseConditionsAsThresholds()`

    - #### getRuleset

          PRuleset getRuleset()

      Returns the value of the 'Ruleset' container reference. It is bidirectional and its opposite is '`Rules`'.

      If the meaning of the 'Ruleset' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ruleset' container reference.
      See Also:
        `setRuleset(PRuleset)`, `RulesheetPackage.getPRule_Ruleset()`, `PRuleset.getRules()`

    - #### setRuleset

          void setRuleset(PRuleset value)

      Sets the value of the '`Ruleset`' container reference.
      Parameters:
        `value` - the new value of the 'Ruleset' container reference.
      See Also:
        `getRuleset()`

    - #### getConditions

          org.eclipse.emf.common.util.EList getConditions()

      Returns the value of the 'Conditions' containment reference list. The list contents are of type `Condition`. It is bidirectional and its opposite is '`Rule`'.

      If the meaning of the 'Conditions' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Conditions' containment reference list.
      See Also:
        `RulesheetPackage.getPRule_Conditions()`, `Condition.getRule()`

    - #### getOverrides

          org.eclipse.emf.common.util.EList getOverrides()

      Returns the value of the 'Overrides' reference list. The list contents are of type `PRule`. It is bidirectional and its opposite is '`Overridden By`'.

      If the meaning of the 'Overrides' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Overrides' reference list.
      See Also:
        `RulesheetPackage.getPRule_Overrides()`, `getOverriddenBy()`

    - #### getOverriddenBy

          org.eclipse.emf.common.util.EList getOverriddenBy()

      Returns the value of the 'Overridden By' reference list. The list contents are of type `PRule`. It is bidirectional and its opposite is '`Overrides`'.

      If the meaning of the 'Overridden By' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Overridden By' reference list.
      See Also:
        `RulesheetPackage.getPRule_OverriddenBy()`, `getOverrides()`

    - #### getActions

          org.eclipse.emf.common.util.EList getActions()

      Returns the value of the 'Actions' containment reference list. The list contents are of type `Action`. It is bidirectional and its opposite is '`Rule`'.

      If the meaning of the 'Actions' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Actions' containment reference list.
      See Also:
        `RulesheetPackage.getPRule_Actions()`, `Action.getRule()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.